cURL
curl --request DELETE \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/plan \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"estimateTime": 123,
"graph": {
"nodes": [
{
"id": "<string>",
"label": "<string>",
"comboId": "<string>"
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"label": "<string>"
}
],
"combos": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"updateCellCount": 123,
"linkFieldCount": 123
}plan
Delete table field plan
Generate calculation plan for deleting the field
DELETE
/
table
/
{tableId}
/
field
/
{fieldId}
/
plan
cURL
curl --request DELETE \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/plan \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"estimateTime": 123,
"graph": {
"nodes": [
{
"id": "<string>",
"label": "<string>",
"comboId": "<string>"
}
],
"edges": [
{
"source": "<string>",
"target": "<string>",
"label": "<string>"
}
],
"combos": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"updateCellCount": 123,
"linkFieldCount": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on March 5, 2026
Was this page helpful?
⌘I

